Option Explicit On

Imports System.Runtime.InteropServices

Module modMain

    Public Function GetResourceString(ByVal resName As String) As String

        Try
            Return My.Resources.ResourceManager.GetObject(resName).ToString
        Catch
            Return ""
        End Try

    End Function

    Public Function GetResourceImage(ByVal resName As String) As Bitmap

        Try
            Return My.Resources.ResourceManager.GetObject(resName)
        Catch
            Return Nothing
        End Try

    End Function

    Public Function FormatHandle(ByVal intHandle As Integer) As String

        Dim handleHex As String = Hex(intHandle).ToLower
        Return New String("0", (Marshal.SizeOf(intHandle) * 2) - handleHex.Length) + handleHex

    End Function

End Module
